<?php
/**
@brief エントリ入力用:一般ユーザー用のコンファーム画面を作るための Render 用 Model
@version $Id: EntryConfirm.php,v 1.3 2004/07/26 14:18:21 minahito Exp $
*/

require_once XOOPS_ROOT_PATH."/class/module.textsanitizer.php";
require_once "exComponent/render/ConfirmModelRender.php";

class EntryConfirmRenderModel extends exConfirmRenderModel {
	var $caption_="入力の確認";
	var $headmessage_="以下の内容で登録します。確認の上、５分以内に Confirm ボタンを押して下さい";
	var $filter_=array("id","uid","update_date");

	var $_keyname_=array(
		"entry_date"=>_MD_BXPARTY_LANG_ENTRY_DATE,
		"status"=>_MD_BXPARTY_LANG_STATUS,
		"comment"=>_MD_BXPARTY_LANG_COMMENT
	);

	var $ts_;
	
	function MessageConfirmRenderModel() {
		$this->ts_=&MyTextSanitizer::getInstance();
	}

	function getValueAtMessage($key) {
		return $this->ts_->displayTarea($this->_array_[$key]);
	}

	function getValueAtInput_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

	function getValueAtUpdate_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

	function getValueAtEntry_date($key) {
		return formatTimestamp($this->_array_[$key]);
	}

}

class DeleteEntryConfirmRenderModel extends EntryConfirmRenderModel {
	var $caption_="削除の確認";
	var $headmessage_="以下の内容を削除します。確認の上、５分以内に Confirm ボタンを押して下さい";
}

?>
